SPICE-CRYPT(1)

NAME
spice-crypt - Tool to decrypt encrypted SPICE model files

DESCRIPTION
usage: spice-crypt [-h] [-o OUTPUT] [-f] [-r] [--version]

    [--user-key USER_KEY] [--recover-key] [--verbose | --quiet] input_file

SpiceCrypt - A tool for decrypting LTspice??, PSpice??, and QSPICE?? encrypted files

  positional arguments:

input_file
    Path to the encrypted file to decrypt (LTspice, PSpice, or QSPICE format, or raw hex)

  options:

-h, --help
    show this help message and exit

-o, --output OUTPUT
    Output file path (default: print to stdout)

-f, --force
    Overwrite output file if it exists

-r, --raw
    Treat input as raw hex data instead of LTspice?? format

--version
    show program's version number and exit

--user-key USER_KEY
    User key string for PSpice Mode 4 decryption (31-byte key from CSV file)

--recover-key
    Recover the PSpice Mode 4 user encryption key via brute-force attack

--verbose
    Display additional information

--quiet
    Suppress all error messages